<div id="grafico-productos-container"></div>
<script>
$(function () {
	<?php
		if(isset($productos)):
	?>
    $('#grafico-productos-container').highcharts({
		chart: {
            type: 'column'
        },
        title: {
            text: 'Grafico de Productos Estrellas',
            x: -20 //center 2015-01-01
        },
        subtitle: {
            text: 'Fuente: Base de Datos Miracle v1.5.0',
            x: -20
        },
		xAxis: {
            type: 'category'
        },
        yAxis: {
            title: {
                text: '<?php echo $umedida;?>'
            },
            plotLines: [{
                value: 0,
                width: 1,
                color: '#808080'
            }]
        },
        tooltip: {
            valueSuffix: ' <?php echo $umedida;?>'
        },
		plotOptions: {
            series: {
                dataLabels: {
                    enabled: <?php echo $valores;?>,
					format: '{point.y:.1f} <?php echo $umedida;?>'
                }
            }
        },
		series: [{
            name: "Ventas en <?php echo $umedida;?>",
            colorByPoint: true,
            data: [
			<?php
				foreach($productos as $producto):
					$total_usuario = 0;
					echo '{name: "'.$producto->desc_producto.'",';
					echo 'y:'.$producto->total.'},';
				endforeach;
			?>
			]
		}],
    });
	<?php
		else:
	?>
	toastr.options = {
	  "closeButton": true,
	  "progressBar": true,
	  "positionClass": "toast-top-right"
	}
	toastr.error('No hay informacion obtenida para dibujar un grafico');
	<?php
		endif;
	?>
});
</script>
<?php
	function TraducirMes($month){
		switch($month){
			case '01':
					return $mes = 'Enero';
				break;
			case '02':
					return $mes = 'Febrero';
				break;
			case '03':
					return $mes = 'Marzo';
				break;
			case '04':
					return $mes = 'Abril';
				break;
			case '05':
					return $mes = 'Mayo';
				break;
			case '06':
					return $mes = 'Junio';
				break;
			case '07':
					return $mes = 'Julio';
				break;
			case '08':
					return $mes = 'Agosto';
				break;
			case '09':
					return $mes = 'Septiembre';
				break;
			case '10':
					return $mes = 'Octubre';
				break;
			case '11':
					return $mes = 'Noviembre';
				break;
			case '12':
					return $mes = 'Diciembre';
				break;
		}
	}
?>